Failed to install ImageMagick on linux environment

Questions and postings pertaining to the usage of ImageMagick regardless of the interface. This includes the command-line utilities, as well as the C and C++ APIs. Usage questions are like "How do I use ImageMagick to create drop shadows?".
Locked
shahire
Posts: 14
Joined: 2019-12-04T17:51:30-07:00
Authentication code: 1152

Failed to install ImageMagick on linux environment

Post by shahire »

Hi All,
I have been following installation steps on following page
https://imagemagick.org/script/download.php

However i have been getting following error when i tried to run following commands after downloading binaries.

Code: Select all

[b]# rpm -Uvh ImageMagick-7.0.9-8.x86_64.rpm[/b]
error: Failed dependencies:
	ImageMagick-libs(x86-64) = 7.0.9-8 is needed by ImageMagick-7.0.9-8.x86_64
	libMagickCore-7.Q16HDRI.so.7()(64bit) is needed by ImageMagick-7.0.9-8.x86_64
	libMagickWand-7.Q16HDRI.so.7()(64bit) is needed by ImageMagick-7.0.9-8.x86_64
	libMagickWand-7.Q16HDRI.so.7(VERS_7.0)(64bit) is needed by ImageMagick-7.0.9-8.x86_64
	libfftw3.so.3()(64bit) is needed by ImageMagick-7.0.9-8.x86_64
[b]# rpm -Uvh ImageMagick-libs-7.0.9-8.x86_64.rpm [/b]
error: Failed dependencies:
	libHalf.so.6()(64bit) is needed by ImageMagick-libs-7.0.9-8.x86_64
	libIex.so.6()(64bit) is needed by ImageMagick-libs-7.0.9-8.x86_64
	libIexMath.so.6()(64bit) is needed by ImageMagick-libs-7.0.9-8.x86_64
	libIlmImf.so.7()(64bit) is needed by ImageMagick-libs-7.0.9-8.x86_64
	libIlmThread.so.6()(64bit) is needed by ImageMagick-libs-7.0.9-8.x86_64
	libImath.so.6()(64bit) is needed by ImageMagick-libs-7.0.9-8.x86_64
	libfftw3.so.3()(64bit) is needed by ImageMagick-libs-7.0.9-8.x86_64
	libgs.so.9()(64bit) is needed by ImageMagick-libs-7.0.9-8.x86_64
	libopenjp2.so.7()(64bit) is needed by ImageMagick-libs-7.0.9-8.x86_64
	librsvg-2.so.2()(64bit) is needed by ImageMagick-libs-7.0.9-8.x86_64
	libwebp.so.4()(64bit) is needed by ImageMagick-libs-7.0.9-8.x86_64
	libwmflite-0.2.so.7()(64bit) is needed by ImageMagick-libs-7.0.9-8.x86_64
I am running on below linux machine,

Code: Select all

NAME="CentOS Linux"
VERSION="7 (Core)"
ID="centos"
ID_LIKE="rhel fedora"
VERSION_ID="7"
PRETTY_NAME="CentOS Linux 7 (Core)"
ANSI_COLOR="0;31"
CPE_NAME="cpe:/o:centos:centos:7"
HOME_URL="https://www.centos.org/"
BUG_REPORT_URL="https://bugs.centos.org/"

CENTOS_MANTISBT_PROJECT="CentOS-7"
CENTOS_MANTISBT_PROJECT_VERSION="7"
REDHAT_SUPPORT_PRODUCT="centos"
REDHAT_SUPPORT_PRODUCT_VERSION="7"
Is there way i can download tar setup rather self installing binary?

User avatar
magick
Site Admin
Posts: 11254
Joined: 2003-05-31T11:32:55-07:00

Re: Failed to install ImageMagick on linux environment

Post by magick »

Any missing dependencies can be installed from the EPEL repository.

shahire
Posts: 14
Joined: 2019-12-04T17:51:30-07:00
Authentication code: 1152

Re: Failed to install ImageMagick on linux environment

Post by shahire »

Got the issue and fixed by creating new binary from source.

Locked